/*!
 * @file ground_turret.h
 * @brief description
*/

#ifndef _GROUND_TURRET_H
#define _GROUND_TURRET_H

#include "world_entity.h"

//! A Class to ...
class GroundTurret : public WorldEntity
{

 public:
  ProtoWorldEntity(const TiXmlElement* root = NULL);
  virtual ~ProtoWorldEntity();

  void loadParams(const TiXmlElement* root);
  void init();

  virtual void postSpawn ();
  virtual void leftWorld ();


  virtual void draw() const;
  virtual void tick(float time);
  virtual void collidesWith (WorldEntity* entity, const Vector& location);

 private:

};

#endif /* _GROUND_TURRET_H */
